GET /hotels/{hotelId}/rate-plans

impala.travel:hotels

Summary: List all rate plans (rate calendar) for a hotel (Beta endpoint)
Operation ID: listRatePlansForHotel
Auth: unknown
Description

Returns a list of all rate plans available for you for a hotel. Rate plans are products the hotel is offering. They typically consist of a combination of restrictiveness in case of cancellations or changes, the time they're bookable, minimum or maximum length of stay restrictions (e.g. week-long bookings), included components like breakfast or dinner and/or the conditions under which the room can be sold (e.g. private rates that can only be offered and sold to a closed user group behind login). Examples of rate plans: * Non-refundable room rate that includes breakfast * Room-only rate with free cancellation up to 14 days before arrival For each such rate plan this endpoint returns the room types it's available for, alongside prices for each date and occupancy that can be sold – or the information that the room isn't available (closed) for a certain date. For the vast majority of our customers, availability searches using the [List all hotels](https://docs.impala.travel/docs/booking-api/spec/openapi.seller.yaml/paths/~1hotels/get) endpoint are the best choice. It accepts the dates your guest is looking for and provides the rates to display. This endpoint can help augment this for two additional use cases: This endpoint allows you to query rate prices for all future dates in one go, making it a great choice to feed availability information and prices into your own system or displaying a rate calender to guide your guests to gain an overview of future availability and prices.

Parameters (7)

end (string, query, optional)

Start date of the considered time window for the returned rate plan.

hotelId (string, path, required)

The uuid of hotel for which rate plans are being fetched.

offset (number, query, optional, default: 0)

Offset from the first rate plan in the result (for pagination).

roomId (string, query, optional)

The UUID of room for which rate plans are being fetched.

size (number, query, optional, default: 25)

Number of rate plans returned on a given page (pagination).

Constraints: {'minimum': 1, 'maximum': 300}

start (string, query, optional)

Start date of the considered time window for the returned rate plan.

updatedAt (object, query, optional)

Returns rate plans changed after the supplied date.

No probe data for this endpoint yet.